Retrieve graph of messages sent by landing category for a given account
Returns the number of messages sent by a given account that landed in the requested category (e.g. INBOX, SPAM) over the requested time window, grouped by day. Consolidated data is returned up to 2 days ago.
Path Parameters
- Type: integerFormat: int32account
_id requiredInternal ID of the account.
- Type: stringenumcatrequired
Landing category to graph.
INBOXgroupsINBOX,PERSONALandIMPORTANT.CATEGORIESgroupsPROMOTION,SOCIAL,UPDATESandFORUMS.SPAMreturns spam.OTHERSreturns every other landing location.values- I
N B O X - C
A T E G O R I E S - S
P A M - O
T H E R S
Query Parameters
- Type: stringenumprovider
Filter the graph by recipient provider. One of
gmail,outlookorothers. When omitted, all providers are included.values- gmail
- outlook
- others
- Type: integerFormat: int32past
_days min:0max:180Number of past days to include in the graph. Maximum is 180.
Responses
- application/json
- application/json
Request Example for get/v1/conversation_message_logs/{account_id}/sent/categories/graph/{cat}
curl 'http://api.mailreach.co/api/v1/conversation_message_logs/1234/sent/categories/graph/INBOX?provider=gmail&past_days=14' \
--header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
"labels": [
"Apr 10",
"Apr 11",
"Apr 12",
"Today"
],
"data": [
65,
74,
59,
26
],
"consolidated": true
}